Create a membership

POST/automations/diamond/{diamond_id}/memberships

Adds a user to the Diamond as a lead, starting at the lead stage. A new membership also grants the user access to the Diamond's internal delivery and schedules the communication for the lead stage.

If the user is already a member of this Diamond, the existing membership is returned and no communication is sent again. A user can belong to only one Diamond at a time.

In addition to diamonds.manage_memberships, this operation requires the enrollments.create permission.

AuthorizationBearer <token>

Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.

In: header

Path Parameters

diamond_id*string

Header Parameters

Idempotency-Key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/automations/diamond/string/memberships" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "user_id": "string"  }'
{  "data": {    "created_at": "2019-08-24T14:15:22Z",    "diamond_id": "string",    "enrollment_id": "string",    "id": "string",    "last_run": {      "at": "2019-08-24T14:15:22Z",      "error": "string",      "status": "failed"    },    "object": "membership",    "pending": {      "next_check_at": "2019-08-24T14:15:22Z",      "queued_events": 0    },    "progress": {      "confirmed_stages": [        "string"      ]    },    "revision": "string",    "stage_id": "string",    "stage_position": 0,    "updated_at": "2019-08-24T14:15:22Z",    "user_id": "string"  }}